.centered{
  position: absolute;
  left: 50%;
  transform: translate(-50%,0%);
}
.align-centered{
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
}
.login{
  margin-top: 50px;
}
.border-login{
  border: 3px solid #ebebeb;
  padding: 40px 1% 40px 1%;
  border-radius: 1%;
}
.select2-selection{
  height: 42px !important;
  border: 1px solid #ddd;
}
.select2-selection__rendered, .select2-selection__arrow{
  position: absolute !important;
  top: 7px !important;
}
.span_title_palestra{
  display: block;
  font-size: 1.15rem;
  font-weight: 500;
  margin-bottom: 5px;
}
.row_detalhe_cliente_palestra{
  margin-bottom: 15px;
}
.dataTables_info, .dataTables_length{
  display: inline;
}
.dataTables_paginate, .dataTables_filter{
  float: right;
}
#load{
  height: 100vh;
  width: 100%;
  z-index: 100000;
  position: fixed;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
}
.loader {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid blue;
  border-bottom: 16px solid blue;
  width: 80px;
  height: 80px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


select.filtertable {
  max-width: 140px;
  height: 31px !important;
}
input.filtertable {
  max-width: 220px;
  height: 31px !important;
}

#tabela_vendidos_por_mes_por_palestrante_filter, #tabela_vendidos_por_mes_por_agendador_filter{
  visibility: hidden;
}


.temp {
  font-size: 25px;
  cursor: pointer;
}

#tabela_clientes tbody .temp.text-danger {
  color: #f70801 !important;
}

#tabela_clientes tbody .temp.text-warning {
  color: #FFD217 !important;
}

#tabela_clientes tbody .temp.text-primary {
  color: #19caff !important;
}

.ctemp-container {
  float: left;
  position: absolute;
  background: white;
  width: 107px;
  border: 1px solid #dedede;
  padding: 10px;
  -webkit-box-shadow: 3px 5px 5px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 3px 5px 5px 0px rgba(0,0,0,0.75);
  box-shadow: 3px 5px 5px 0px rgba(0,0,0,0.75);
}

.ctemp {
  font-size: 25px;
  cursor: pointer;
  margin: 5px;
}

#tabela_clientes tbody .ctemp.text-danger {
  color: #f70801 !important;
}

#tabela_clientes tbody .ctemp.text-warning {
  color: #FFD217 !important;
}

#tabela_clientes tbody .ctemp.text-primary {
  color: #19caff !important;
}

.height-inherit {
  height: inherit !important;
}

.p-textarea {
  padding: 5px 5px 5px 5px !important;
}


tr.fc-list-item.event-block {
  color: #ffffff;
  background-color: #ae0000;
}

tr.fc-list-item.event-block:hover {
  color: #ae0000;
}

tr.fc-list-item.event-block button {
  margin: 0;
  padding: 5px;
  font-size: 10px;
  background-color: #ff6060;
}

tr.event-block td.fc-list-item-title.fc-widget-content {
  word-break: break-all;
}


.overflow-everywhere{
  overflow-wrap: anywhere;
}


div.filtro-vendas input, div.filtro-vendas select {
  height: 42px !important;
}

#tabela_vendas tr.linha-negativado {
  background-color:  #9400D3 !important;
}

#tabela_vendas tr.linha-cancelado {
  background-color:  #FF0000 !important;
}

.sidebar.reduced .sidebar-wrapper {
  margin-top: 0;
}  

.sidebar.reduced .sidebar-wrapper ul li a {
  min-height: 50px;
}

.sidebar.reduced .sidebar-wrapper ul li a p {
  display: none !important;
}

.sidebar.reduced .nav li > a,
.off-canvas-sidebar .nav li > a {
  margin: 10px 5px 0;
}

.sidebar.reduced .logo {
  display: none;
}

.sidebar.reduced,
.off-canvas-sidebar {
  width: 60px;
}

.sidebar.reduced .sidebar-wrapper,
.off-canvas-sidebar .sidebar-wrapper {
  width: 60px;
}

.sidebar.reduced .card-body {
  padding: 0;
}

.sidebar.reduced ~ .main-panel {
  width: calc(100% - 60px);
}

.font-22 {
  font-size: 22px;
}